Body's North Pole vertex uses South Pole vertex altitude when using PQSMod VertexHeightMap
Description

It seems that when a body uses the PQSMod VertexHeightMap, the body mesh incorrectly uses the bottom most horizontal 1px strip
from the heightmap texture (South Pole height) to form the mesh vertex altitude at the North Pole point.

This would also point to the cause of the Mohole on Moho as the heightmap texture for Moho displays these properties (very dark
luminosity value on the texture on the bottom most 1px and very light luminosity towards the North Pole on the texture).

To get around this issue the top and bottom 1px wide strips of the heightmap texture must have the same luminosity value but the
surrounding terrain on the texture would have to be adjusted at the North Poles to suit.

Note: | have also experimented in Kopernicus (that uses the same PQS Mods) to reproduce the issue on a purely gradiented
heightmap going from #FFFFFF white at the North to #000000 black at the South and the issue persisted exactly as expect. The
extreme North vertex point in the planet mesh was situated at the altitude of the extreme most South vertex point.

History

#1 - 01/12/2018 08:04 PM - Poodmund
Its also worth mentioning that | have adventured on Moho to confirm this issue.
https://i.imgur.com/N7mMvtX.png - Down the Mohole, roughly 190m at the bottom for the most extreme North vertex in the planet mesh.

https://i.imgur.com/PdyYRxv.png - Zoomed out, what the Mohole looks like from low orbital altitude.
https://i.imgur.com/eP7T5Eo0.pnq - Sitting at the bottom of the Mohole from ScaledSpace Map View.

https://i.imgur.com/deTiz0u.png - Trajectory to land at the South Pole

https://i.imgur.com/zmr7Nmb.png - Landed very close to the most extreme Southern point

https://i.imgur.com/ISbNWgy.png - Notice how the altitude here is almost exactly the same as at the bottom of the Mohole. This issue would identify
that if | was on the exact South Pole, the altitude of the Southern most vertex in the planet mesh would be the same altitude as the Mohole bottom.

#2 - 02/12/2018 12:47 PM - Mrcarrot

| can confirm this issue, as on a Kopernicus planet with Template Moho, removeAllPQSMods set to true, and PQS VertexHeightMap. At this planet's
north pole, | saw what looked like the Mohole, except in blue(the color of said planet).

#3 - 02/12/2018 12:48 PM - Mrcarrot
- Status changed from New to Confirmed

- % Done changed from 0 to 10
